import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useState } from "react";
import cx from "classnames";
import { LayoutGridIcon } from "lucide-react";
import { useGlobalState } from "../../lib/hooks";
import PageSwitcherButton from "./PageSwitcherButton";
const PluginsModal = ({ plugins }) => {
    const { state } = useGlobalState();
    const [page, setPage] = useState(`installed`);
    return (_jsxs("div", { className: cx(`absolute bg-black border-[0.5px] border-zinc-800 shadow-xl shadow-black/50 flex flex-col transition-[transform,opacity,width,height,border-radius] duration-300 z-50`, page === `installed`
            ? `w-[600px] h-[800px] max-h-screen rounded-xl`
            : `w-screen h-screen rounded-none`, state.mode === `plugins`
            ? `opacity-100`
            : `scale-75 opacity-0 pointer-events-none`), children: [_jsxs("div", { className: "p-4 flex justify-center gap-2", children: [_jsx(PageSwitcherButton, { page: "installed", currentPage: page, setPage: setPage }), _jsx(PageSwitcherButton, { page: "all", currentPage: page, setPage: setPage })] }), page === `all` ? (_jsx(AllPluginsPage, {})) : (_jsx(InstalledPluginsPage, { plugins: plugins }))] }));
};
export default PluginsModal;
const InstalledPluginsPage = ({ plugins, }) => !plugins || (!plugins.sidebar && !plugins.toolbar) ? (_jsxs("div", { className: "flex flex-col items-center justify-center flex-grow pb-8", children: [_jsx(LayoutGridIcon, { size: 40, className: "text-zinc-600" }), _jsx("h2", { className: "font-medium text-xl mt-4 text-zinc-400", children: "No installed plugins" })] })) : (_jsxs("div", { className: "flex flex-col gap-4 p-4", children: [_jsxs("div", { className: "p-6 bg-zinc-900 rounded-lg", children: [_jsx("h2", { className: "text-white font-medium text-xl", children: "Sidebar plugins" }), plugins.sidebar && plugins.sidebar.length > 0 ? (_jsx("div", { className: "mt-4 grid grid-cols-2 gap-4", children: plugins.sidebar?.map((plugin) => (_jsx("div", { className: "p-4 bg-zinc-800 rounded-lg text-lg text-white font-medium flex justify-center items-center", children: plugin.title }, plugin.title))) })) : (_jsx("div", { className: "text-zinc-400 text-lg flex justify-center my-4", children: _jsx("span", { children: "No sidebar plugins" }) }))] }), _jsxs("div", { className: "p-8 bg-zinc-900 rounded-lg", children: [_jsx("h2", { className: "text-white font-medium text-xl", children: "Toolbar plugins" }), _jsxs("div", { className: "flex justify-center items-center bg-zinc-800 rounded-lg mt-4 p-4 text-lg text-zinc-300 gap-2 font-medium", children: [_jsx("span", { role: "img", "aria-label": "sparkle", children: "\u2728" }), ` `, "Coming soon!"] })] })] }));
const AllPluginsPage = () => (_jsxs("div", { className: "text-zinc-400 flex-grow flex gap-2 text-xl justify-center items-center", children: [_jsx("span", { role: "img", "aria-label": "sparkle", children: "\u2728" }), _jsx("span", { children: "Coming soon!" })] }));
