"use client";
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import GlobalStateProvider from "../lib/state/StateProvider";
import Toolbar from "./Toolbar";
import Sidebar from "./Sidebar";
import RegisterComponents from "./RegisterComponents";
import Container from "./Container";
import PluginsModal from "./PluginsModal";
const Provider = ({ children, config }) => {
    const componentTypes = config.components.map((c) => c.id);
    const nodeEnv = process.env.NODE_ENV;
    if (nodeEnv === `production`) {
        return children;
    }
    return (_jsxs(GlobalStateProvider, { children: [_jsx(RegisterComponents, { componentTypes: componentTypes }), _jsxs("div", { className: "w-screen h-screen flex justify-center items-center fixed top-0 bg-zinc-900", children: [_jsx(Container, { children: children }), _jsx(Sidebar, { plugins: config.plugins?.sidebar }), _jsx(Toolbar, {}), _jsx(PluginsModal, { plugins: config.plugins })] })] }));
};
export default Provider;
