import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useState } from "react";
import cx from "classnames";
import { ChevronDownIcon, LayoutGridIcon, MoveHorizontalIcon, MoveVerticalIcon, } from "lucide-react";
import { useGlobalState } from "../lib/hooks";
import { getComponent } from "../lib/component";
const Sidebar = ({ plugins }) => {
    const { state } = useGlobalState();
    const [shownPlugins, setShownPlugins] = useState([]);
    const c = getComponent(state.selectedComponent ?? ``);
    return (_jsx("div", { className: cx(`w-96 h-[calc(100vh-16px)] transition-[margin-right] duration-500 shrink-0 text-white p-8 z-20 bg-black border-[0.5px] border-zinc-800 fixed top-2 right-2 rounded-xl shadow-xl shadow-black/50 flex flex-col delay-100 overflow-scroll`, (!state.sidebarOpen || state.mode !== `select`) && `-mr-[400px]`), children: c && (_jsxs("div", { className: "flex-grow flex flex-col", children: [_jsxs("header", { children: [_jsx("h3", { className: "text-zinc-400 font-mono", children: `<${c.element.nodeName.toLowerCase()}>` }), _jsx("h2", { className: "text-4xl font-medium", children: c.type }), _jsxs("div", { className: "flex items-center gap-2 mt-1", children: [_jsx(Stat, { icon: MoveHorizontalIcon, value: `${c.element
                                        .getBoundingClientRect()
                                        .width.toFixed(1)}px` }), _jsx(Stat, { icon: MoveVerticalIcon, value: `${c.element
                                        .getBoundingClientRect()
                                        .height.toFixed(1)}px` })] })] }), !plugins || plugins.length === 0 ? (_jsx("div", { className: "flex-grow flex justify-center items-center", children: _jsxs("div", { className: "flex flex-col items-center justify-center", children: [_jsx(LayoutGridIcon, { size: 50, className: "text-zinc-600" }), _jsx("h2", { className: "font-medium text-2xl mt-4 text-zinc-400", children: "No plugins" })] }) })) : (_jsx("div", { className: "flex-grow flex flex-col mt-8", children: plugins.map(({ component: Component, title, icon }) => {
                        const shown = shownPlugins.includes(title);
                        return (_jsx("div", { className: cx(`py-4 border-t border-white/10`, !shown && `cursor-pointer`), onClick: () => {
                                if (!shown) {
                                    setShownPlugins((prev) => prev.includes(title)
                                        ? prev.filter((t) => t !== title)
                                        : [...prev, title]);
                                }
                            }, children: shown ? (_jsx(Component, { component: c })) : (_jsxs("div", { className: "flex items-center justify-between", children: [_jsxs("div", { className: "flex items-center gap-4", children: [_jsx("div", { className: "text-zinc-400", children: icon }), _jsx("span", { className: "text-lg font-medium text-zinc-200", children: title })] }), _jsx(ChevronDownIcon, { className: "text-zinc-600" })] })) }));
                    }) }))] })) }));
};
export default Sidebar;
const Stat = ({ icon: Icon, value }) => (_jsxs("div", { className: "flex items-center gap-0.5", children: [_jsx(Icon, { size: 12, className: "text-zinc-400" }), _jsx("span", { className: "text-sm text-zinc-500", children: value })] }));
