"use client";
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { LayoutGridIcon, MousePointerClickIcon } from "lucide-react";
import cx from "classnames";
import { useGlobalState } from "../lib/hooks";
const Toolbar = () => {
    const { state } = useGlobalState();
    return (_jsx("div", { className: "fixed -bottom-10 -left-10 p-12 group rounded-3xl z-40", children: _jsxs("div", { className: cx(`bg-black rounded-2xl p-2 items-center flex shadow-xl transition-[opacity,transform] duration-300 shadow-black/50 border-[0.5px] border-zinc-800`, state.mode
                ? `translate-y-0 opacity-100`
                : `translate-y-10 opacity-50 group-hover:translate-y-0 group-hover:opacity-100`), children: [_jsx(ToolbarButton, { to: `select`, icon: MousePointerClickIcon }), _jsx("div", { className: "w-0.5 h-8 bg-white/15 mx-1.5 rounded-full" }), _jsxs("div", { className: "flex flex-col items-center px-1", children: [_jsx("span", { className: "text-zinc-200 text-sm", children: "Toolbar plugins" }), _jsx("span", { className: "text-zinc-500 text-xs", children: "Coming soon!" })] }), _jsx("div", { className: "w-0.5 h-8 bg-white/15 mx-1.5 rounded-full" }), _jsx(ToolbarButton, { to: `plugins`, icon: LayoutGridIcon })] }) }));
};
export default Toolbar;
const ToolbarButton = ({ to, icon: Icon }) => {
    const { state, dispatch } = useGlobalState();
    return (_jsx("button", { onClick: () => {
            dispatch({ type: `setMode`, payload: state.mode === to ? null : to });
        }, className: cx(`rounded-lg p-2 hover:bg-zinc-800 transition-[transform,background-color] duration-150 active:scale-95 active:bg-zinc-600`, state.mode === to ? `text-blue-300` : `text-zinc-200 hover:text-white`), children: _jsx(Icon, { size: 24 }) }));
};
