import React, { useEffect, useState } from "react";
import { GlobalStateContext } from "./state/StateProvider";
export function useScrollY() {
    const [scrollY, setScrollY] = useState(0);
    useEffect(() => {
        const handleScroll = () => {
            setScrollY(window.scrollY);
        };
        window.addEventListener(`scroll`, handleScroll);
        return () => window.removeEventListener(`scroll`, handleScroll);
    }, [scrollY]);
    return scrollY;
}
export function useGlobalState() {
    return React.useContext(GlobalStateContext);
}
