import type { ToolbarMode, RegisteredComponent } from "../types";
export interface State {
    mode: ToolbarMode | null;
    sidebarOpen: boolean;
    registeredComponents: RegisteredComponent[];
    selectedComponent: string | null;
    containerPosition: {
        x: number;
        y: number;
    };
}
export declare const INITIAL_STATE: State;
export type Action = {
    type: `setMode`;
    payload: ToolbarMode | null;
} | {
    type: `openSidebar`;
} | {
    type: `closeSidebar`;
} | {
    type: `registerComponents`;
    payload: RegisteredComponent[];
} | {
    type: `selectComponent`;
    payload: string;
} | {
    type: `moveContainer`;
    payload: {
        x: number;
        y: number;
    };
};
export default function reducer(state: State, action: Action): State;
