/// <reference types="react" />
import type { RegisteredComponent } from "../lib/types";
export interface Plugin {
    title: string;
    icon: React.ReactNode;
}
export interface SidebarPluginType extends Plugin {
    component: React.FC<{
        component: RegisteredComponent;
    }>;
}
export interface ToolbarPluginType extends Plugin {
    mode: string;
}
export type SidebarPluginComponent = React.FC<{
    component: RegisteredComponent;
}>;
export declare class SidebarPlugin implements SidebarPluginType {
    title: string;
    icon: React.ReactNode;
    component: SidebarPluginComponent;
    constructor(title: string, icon: React.ReactNode, component: SidebarPluginComponent);
}
export declare class ToolbarPlugin implements ToolbarPluginType {
    title: string;
    icon: React.ReactNode;
    mode: string;
    constructor(title: string, icon: React.ReactNode, mode: string);
}
