// PLUGINS
// Two types of plugins:
// 1. Sidebar plugins (less powerful)
//   - must expose a React component to be rendered in the sidebar that has access to the RegisteredComponent
//   - will always be ~400px wide, but needs to be responsive vertically (because it could be in a stack, or full height)
// 2. Toolbar plugins (more powerful)
//   - icon rendered in toolbar
//   - when clicked it enters into a new 'mode'
export class SidebarPlugin {
    constructor(title, icon, component) {
        Object.defineProperty(this, "title", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: title
        });
        Object.defineProperty(this, "icon", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: icon
        });
        Object.defineProperty(this, "component", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: component
        });
    }
}
export class ToolbarPlugin {
    constructor(title, icon, mode) {
        Object.defineProperty(this, "title", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: title
        });
        Object.defineProperty(this, "icon", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: icon
        });
        Object.defineProperty(this, "mode", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: mode
        });
    }
}
