import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useState } from "react";
import { CheckIcon, CopyIcon, PlusIcon, WineIcon } from "lucide-react";
import cx from "classnames";
import { SidebarPlugin } from "../Plugin";
const SidebarComponent = ({ component: c }) => {
    const [classes, setClasses] = useState([...c.element.classList]
        .filter((cl) => !cl.startsWith(`__devine`))
        .map((cl) => ({ value: cl, active: true })));
    const [newClass, setNewClass] = useState(``);
    return (_jsxs("div", { className: "relative", children: [_jsx("button", { className: "absolute top-0 right-0 w-10 h-10 rounded-lg flex justify-center items-center text-zinc-500 hover:bg-zinc-800 active:bg-zinc-700 active:text-zinc-400 active:scale-90 transition-[background-color,color,transform] duration-200", onClick: () => navigator.clipboard.writeText(classes
                    .filter((cl) => cl.active)
                    .map((cl) => cl.value)
                    .join(` `)), children: _jsx(CopyIcon, { size: 20 }) }), _jsx("h3", { className: "text-lg font-medium", children: "Classes:" }), _jsx("div", { children: classes.length === 0 ? (_jsx("div", { children: "no classes" })) : (_jsx("div", { className: "flex flex-col gap-1 mt-2", children: classes.map(({ active, value }) => (_jsxs("div", { className: "flex items-center gap-2 cursor-pointer group", onClick: () => {
                            setClasses(classes.map((cl) => cl.value === value ? { ...cl, active: !cl.active } : cl));
                            c.element.classList.toggle(value);
                        }, children: [_jsx("div", { className: cx(`w-4 h-4 rounded flex justify-center items-center transition-[transform,background-color] duration-200 group-hover:scale-110`, active ? `bg-blue-400` : `bg-zinc-700`), children: _jsx(CheckIcon, { size: 10, strokeWidth: 5, className: cx(active ? `text-white` : `text-transparent`) }) }), _jsx("span", { className: cx(`select-none`, active ? `text-zinc-300` : `text-zinc-600 line-through`), children: value })] }))) })) }), _jsxs("form", { className: "flex mt-4 gap-2", onSubmit: (event) => {
                    event.preventDefault();
                    const classesToAdd = newClass.trim().split(` `);
                    c.element.classList.add(...classesToAdd);
                    setClasses([
                        ...classes,
                        ...classesToAdd.map((cl) => ({ value: cl, active: true })),
                    ]);
                    setNewClass(``);
                }, children: [_jsx("input", { value: newClass, onChange: (event) => setNewClass(event.target.value), className: "outline-none bg-zinc-800 focus:bg-zinc-700 text-zinc-300 px-2 py-1 rounded-lg flex-grow transition-colors duration-200" }), _jsx("button", { disabled: !newClass.trim(), type: "submit", className: cx(`p-2 rounded-lg transition-[background-color,transform] duration-200`, newClass.trim()
                            ? `cursor-pointer bg-blue-500 hover:bg-blue-400 active:bg-blue-300 active:scale-90`
                            : `cursor-not-allowed bg-zinc-800`), children: _jsx(PlusIcon, { size: 20 }) })] })] }));
};
const Classify = new SidebarPlugin(`Classify`, _jsx(WineIcon, {}), SidebarComponent);
export default Classify;
